/dts-v1/;

/ {
    description = "Apertis armhf kernel with dtb and initramfs";

    images {
        kernel-0 {
            description = "Linux Kernel";
            data = /incbin/("{{kernel}}");
            type = "kernel";
            arch = "arm";
            os = "linux";
            compression = "none";
            load = <0x10800000>;
            entry = <0x10800000>;
            hash-1 {
                algo = "sha1";
            };
        };
        ramdisk-0 {
            description = "ramdisk";
            data = /incbin/("{{ramdisk}}");
            type = "ramdisk";
            arch = "arm";
            os = "linux";
            compression = "none";
            load = <0x15000000>;
            hash-1 {
                algo = "sha1";
            };
        };
        fdt-0 {
            description = "Flattened Device Tree blob";
            data = /incbin/("{{dtb}}");
            type = "flat_dt";
            arch = "arm";
            compression = "none";
            hash-1 {
                algo = "sha1";
            };
        };
    };
    configurations {
        default = "conf-0";
        conf-0 {
            description = "Boot Apertis";
            kernel = "kernel-0";
            ramdisk = "ramdisk-0";
            fdt = "fdt-0";
            hash-0 {
                algo = "sha1";
            };
        };
    };
};
